
Application: gvSIG desktop - gvSIG bugs #838
"Install a new JRE" option doesn't work properly when another JRE is already installed.
07/05/2012 11:16 AM - Manuel Madrid
Has patch: No Hito:
Add-on name: Unknown
Description

Let's suppose that we have a gvSIG 2.0 installed in "/home/[user]/gvSIG-Desktop/gvSIG-Desktop-2.0.0" and a JRE 1.6 installed in
"/home/[user]/gvSIG/jre/jre1.6.0_26/" (common situation).
1. Run the gvSIG installer.
2. It seems that the installer doesn't detect that a valid JRE is already installed because the only options that show are: 1) Install a new
JRE and 2) Select another Java installation to use.
3. Select 1)
4. The downloading process starts and when is finished you get the following warning: "A provided JRE installation has been found in
/home/[user]/gvSIG/jre/jre1.6.0_26. Will use it as the Java installation to run gvSIG." 
5. Press Ok.
6. We are again asked about the two mentioned options 1) and 2)
7. If we select 1) again the process is repited.

If a valid JRE is already installed the correct behavior should be:
1) it should appear a third option that allows the user to use it.
or
2) if the user select "install a new JRE", the warning should give two options:
- select it
- come back to the main menu.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 1640: gvSIG.sh ignores i... Closed

History
#1 - 07/11/2012 10:14 AM - Manuel Madrid
- Target version set to 2.0.0-rc1
- Operative System set to Linux

#2 - 09/12/2012 05:41 PM - Joaquín  del Cerro Murciano
- Assignee set to Cesar Ordiñana

#3 - 10/22/2012 10:05 AM - Manuel Madrid
- Priority changed from Normal to Immediate

#4 - 12/07/2012 01:46 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final
#5 - 12/19/2012 02:00 PM - Manuel Madrid
- Priority changed from Immediate to Normal
- Target version deleted (2.0.0-final)

#6 - 01/13/2014 01:44 PM - Álvaro Anguix
- Assignee changed from Cesar Ordiñana to Joaquín  del Cerro Murciano

#7 - 01/13/2014 01:44 PM - Álvaro Anguix

Manuel, ¿puedes comprobar si pasa en el 2166?

#8 - 01/16/2014 01:17 PM - Álvaro Anguix
- Target version set to 2.1.0-2219-testing

Posible relación con bug:
https://devel.gvsig.org/redmine/issues/2201

#9 - 02/17/2014 10:57 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2219-testing to 2.1.0-2223-rc1

#10 - 02/19/2014 12:52 PM - Álvaro Anguix

No es posible comprobar si este comportamiento sucede, ya que por el bug relacionado no permite seleccionar una java válida del sistema.

#11 - 02/19/2014 12:53 PM - Álvaro Anguix
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2221-testing
- gvSIG version changed from 2.0.0 to 2.1.0
- gvSIG build changed from 2049 to 2219

#12 - 03/07/2014 09:03 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2221-testing to 2.1.0-2222-testing

#13 - 03/10/2014 05:24 PM - Álvaro Anguix
- Status changed from New to Fixed

En el 2221 no sigue la línea de procesos que comenta Manuel y creo que es bastante funcional.
Seguimos los pasos 1) a 5) y una vez dado OK a la JRE existente detectada bien podemos como paso 6):
a) Dar a siguiente y seguir el proceso de instalación usando la JRE detectada
b) Cancelar el proceso de instalación.

Es mejorable el comportamiento, pero en cualquier caso soluciona lo que pasaba anteriormente que era una especie de bucle que no daba opción de
usar la JRE detectada.
Lo paso a fixed, ya que se soluciona el problema y podemos instalar.

#14 - 03/28/2014 01:33 PM - Álvaro Anguix
- Status changed from Fixed to Closed
